RTEMS: Classic Barrier Implementation

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions | Variables
Classic Barrier Implementation
Internal » Classic

## Files
file | barrierdata.h
| Classic Barrier Manager Data Structures.
file | barrierimpl.h
| Classic Barrier Manager Implementation.

## Data Structures
struct | Barrier_Control

## Macros
#define | BARRIER_INFORMATION_DEFINE(max)
| Macro to define the objects information for the Classic Barrier objects.

## Functions
RTEMS_INLINE_ROUTINE Barrier_Control * | _Barrier_Allocate (void)
| _Barrier_Allocate
RTEMS_INLINE_ROUTINE void | _Barrier_Free (Barrier_Control *the_barrier)
| _Barrier_Free
RTEMS_INLINE_ROUTINE Barrier_Control * | _Barrier_Get (Objects_Id id, Thread_queue_Context *queue_context)

## Variables
Objects_Information | _Barrier_Information
| The Classic Barrier objects information.

## Detailed Description

## Macro Definition Documentation

## ◆ BARRIER_INFORMATION_DEFINE

#define BARRIER_INFORMATION_DEFINE | ( |  | max | ) |

Value:
OBJECTS_INFORMATION_DEFINE( \
_Barrier, \
OBJECTS_CLASSIC_API, \
OBJECTS_RTEMS_BARRIERS, \
Barrier_Control, \
max, \
OBJECTS_NO_STRING_NAME, \
NULL \
)
NULL
#define NULL
Requests a GPIO pin group configuration.
Definition: bestcomm_api.h:77
OBJECTS_NO_STRING_NAME
#define OBJECTS_NO_STRING_NAME
Constant for the object information string name length to indicate that this object class has no stri...
Definition: objectdata.h:101
OBJECTS_INFORMATION_DEFINE
#define OBJECTS_INFORMATION_DEFINE(name, api, cls, type, max, nl, ex)
Statically initializes an objects information.
Definition: objectdata.h:427
Barrier_Control
Definition: barrierdata.h:38

Macro to define the objects information for the Classic Barrier objects.

This macro should only be used by <rtems/confdefs.h>.

Parameters

  max | The configured object maximum (the OBJECTS_UNLIMITED_OBJECTS flag may be set).

## Function Documentation

## ◆ _Barrier_Allocate()

RTEMS_INLINE_ROUTINE Barrier_Control * _Barrier_Allocate | ( | void |  | ) |

_Barrier_Allocate

This function allocates a barrier control block from the inactive chain of free barrier control blocks.

## ◆ _Barrier_Free()

RTEMS_INLINE_ROUTINE void _Barrier_Free | ( | Barrier_Control * | the_barrier | ) |

_Barrier_Free

This routine frees a barrier control block to the inactive chain of free barrier control blocks.